#ifndef WIDGET3_H
#define WIDGET3_H

#include <QWidget>
#include <QPushButton>
#include <QLineEdit>
#include "student.h"
#include "teacher.h"

class Widget3 : public QWidget
{
    Q_OBJECT
public:
    explicit Widget3(QWidget *parent = nullptr);

public slots:
    void to_sleep();
    void to_sleep2();

private:
    Student *stu;
    Teacher *techr;
    QLineEdit *edit; // 睡觉的原因

signals:

};

#endif // WIDGET3_H
